System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property, AllowMultiple=false, Inherited=true)

The attribute is an attribute applied to a control property that represents a URL. In addition to marking a string property as representing a URL, the attribute defines the property that identifies specific file types that can be used to filter against the property.

Defines the attribute that controls use to identify string properties containing URL values. This class cannot be inherited.

- Constructor

  A default instance of the class is initialized with the property set to the value "*.*".

  Initializes a new default instance of the class.

  2.0.0.0
- Constructor

  An instance of a class created with this constructor is initialized with the property set to .

  Initializes a new instance of the class, setting the property to the specified string.

  A file filter associated with the URL-specific property.
  2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.String To be added.

  A designer provides a filter in file selectors based on the attribute. By default, it is initialized to "*.*", which specifies all files with a file extension. You can set the filter for more specific file types; for example, the filter "*.aspx" indicates that only ASP.NET files are represented by the URL-specific property.

  Gets a file filter associated with the URL-specific property.

  2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0